import Taro, { Component } from '@tarojs/taro';
import './index.scss'
import dayjs from 'dayjs'

export default class Item extends Component {
  static defaultProps = {
    data: {},
    style: {}
  }
  handleClick(data) {

    this.props.onClick(data)
  }
  render() {
    const { data, style } = this.props
    return (
      <View className="item" style={style} onClick={this.handleClick.bind(this, data)}>
        <View className="date">{`${dayjs(data.startDate).format('YYYY-MM-DD hh:mm:ss')}`}</View>
        <Image className="pic" src={require('@assets/agent/banner.png')} ></Image>
        <View className="title">{data.title}</View>
        <View className="time">距活动结束：{`${dayjs(data.endDate).format('YYYY-MM-DD hh:mm:ss')}`}</View>
        <View className="hexiaoma">核销码：123456</View>
        <View className="start-date">{`${dayjs(data.startDate).format('YYYY-MM-DD hh:mm:ss')}`}</View>
        <View className={data.isSign ? "alreay-btn" : "btn"}>{data.isSign ? "已参与" : "立即参与"}</View>
      </View>

    );
  }
}