import Taro, { Component } from '@tarojs/taro';
import './index.scss'
import dayjs from 'dayjs'

export default class Item extends Component {
  static defaultProps = {
    data: {},
    style: {}
  }
  handleClick(data) {

    this.props.onClick(data)
  }
  render() {
    const { data, style } = this.props
    return (
      <View className="item" style={style} onClick={this.handleClick.bind(this, data)}>
        <Image className="pic" mode="aspectFill" src={data.imgUrl}></Image>
        <View className="box">

          <View className="title">{data.title}</View>

          {/* <View className="time">活动开始时间：{`${dayjs(data.startDate).format('YYYY-MM-DD hh:mm:ss')}`}</View> */}

          <View className="left">
            <View className="time">参与截止时间：{`${dayjs(data.endDate).format('YYYY-MM-DD hh:mm:ss')}`}</View>
            <View className={data.isSign ? "alreay-btn" : "btn"}>{data.isSign ? "已参与" : "立即参与"}</View>
          </View>
        </View>
      </View >
    );
  }
}