import { fetch } from '@utils/request'
import {
  API_ACTIVITY_LIST,
  API_ACTIVITY_DETAIL,
  API_ACTIVITY_SIGNUP,
  API_ACTIVITY_FAVOR,
  API_ACTIVITY_SAVE,
  API_ACTIVITY_UV,
  API_ACTIVITY_SHARE
} from '@constants/api'

/**
 * 项目uv埋点
 * @param {*} id  项目id
 */
export const addActivityUv = id => fetch({ url: `${API_ACTIVITY_UV}/${id}`, method: 'POST' })


/**
 * 项目分享埋点
 * @param {*} id  名片id
 */
export const addActivityShareNum = id => fetch({ url: `${API_ACTIVITY_SHARE}/${id}`, method: 'POST' })

/**
 * 获取活动列表
 * @param {*} payload
 */
export const queryActivityList = payload => fetch({ url: API_ACTIVITY_LIST, payload })

/**
 * 已收藏活动列表
 * @param {*} payload
 */
export const buildingDynamiceList = payload => fetch({ url: API_ACTIVITY_SAVE, payload })

/**
 * 获取活动详情 
 * @param {*} id
 */
export const queryActivityDetail = id => fetch({ url: `${API_ACTIVITY_DETAIL}/${id}`})

/**
 * 活动报名
 * @param {*} payload 
 */
export const signupActivity = payload => fetch({ url: API_ACTIVITY_SIGNUP, payload, method: 'POST' })


/**
 * 活动收藏
 * @param {*} payload 
 */
export const favorActivity = id => fetch({ url: `${API_ACTIVITY_FAVOR}/${id}`, method:'POST' })


/**
 * 取消活动收藏
 * @param {*} payload 
 */
export const cancelFavorActivity = id => fetch({ url: `${API_ACTIVITY_FAVOR}/${id}`, method:'DELETE' })